Package org.eclipse.net4j.util.cache

# Class HysteresisConditionPolicy

java.lang.Object
org.eclipse.net4j.util.cache.ThresholdConditionPolicy
org.eclipse.net4j.util.cache.HysteresisConditionPolicy

All Implemented Interfaces:
  `ICacheMonitor.ConditionPolicy`

public class HysteresisConditionPolicy extends ThresholdConditionPolicy

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`HysteresisConditionPolicy(long thresholdYellowRed, long thresholdRedYellow, long thresholdGreenYellow, long thresholdYellowGreen)`

## Method Summary

Modifier and Type
Method
Description
`protected ICacheMonitor.Condition`
`getNewCondition(ICacheMonitor.Condition oldCondition, long freeMemory)`
`long`
`getThresholdGreenYellow()`
`long`
`getThresholdYellowRed()`

### Methods inherited from class org.eclipse.net4j.util.cache.ThresholdConditionPolicy

`getNewCondition, getThresholdRedYellow, getThresholdYellowGreen`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HysteresisConditionPolicy

public HysteresisConditionPolicy(long thresholdYellowRed, long thresholdRedYellow, long thresholdGreenYellow, long thresholdYellowGreen)

## Method Details

### getThresholdYellowRed

public long getThresholdYellowRed()

### getThresholdGreenYellow

public long getThresholdGreenYellow()

### getNewCondition

protected ICacheMonitor.Condition getNewCondition(ICacheMonitor.Condition oldCondition, long freeMemory)

Overrides:
  `getNewCondition` in class `ThresholdConditionPolicy`